Bug 785444 (Horde_Alarm) - Review Request: php-horde-Horde-Alarm - Horde Alarm Libraries
Summary: Review Request: php-horde-Horde-Alarm - Horde Alarm Libraries
Keywords:
Status: CLOSED ERRATA
Alias: Horde_Alarm
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: horde-channel Horde_Translation Horde_Exception Horde_Date
Blocks: Horde_Core
TreeView+ depends on / blocked
 
Reported: 2012-01-29 00:30 UTC by Nick Bebout
Modified: 2013-03-21 15:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-28 06:59:50 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (13.72 KB, text/plain)
2013-02-06 08:44 UTC, Remi Collet
no flags Details
php-horde-Horde-Alarm-review.txt (8.94 KB, text/plain)
2013-02-06 08:45 UTC, Remi Collet
no flags Details

Description Nick Bebout 2012-01-29 00:30:12 UTC
Spec URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-Alarm.spec
SRPM URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-Alarm-1.0.7-1.fc16.src.rpm
Description: An interface to deal with reminders, alarms and notifications through a standardized API. The following notification methods are currently available: standard Horde notifications, pop-ups, emails.

Comment 1 Nick Bebout 2012-06-14 21:34:25 UTC
I believe this one is ready to review now.

Comment 2 Nick Bebout 2012-07-19 16:45:08 UTC
I believe all of the normal blockers for the php-horde-Horde-* packages are fixed with this package.

Comment 3 Remi Collet 2012-08-05 08:59:07 UTC
As Horde_Test is approved, I think we must now run the test suite during build, something like:

# For tests
BuildRequires:  php-pear(pear.horde.org/Horde_Test)
BuildRequires:  php-pear(pear.horde.org/Horde_Date)
BuildRequires:  php-pear(pear.horde.org/Horde_Exception)
BuildRequires:  php-pear(pear.horde.org/Horde_Translation)

%check
cd $RPM_BUILD_ROOT%{pear_testdir}/Horde_Alarm/Horde/Alarm
phpunit \
   -d date.timezone=UTC \
   -d include_path=.:$RPM_BUILD_ROOT%{pear_phpdir}:%{pear_phpdir}: \
   AllTests 


Some tests will be skipped, need more BR for this (but, p.e. Horde_Notification is not yet approved, search for markTestSkipped in *.php) and probably a DB for some test (see conf.php.dist).

Comment 5 Shawn Iwinski 2012-12-19 22:24:44 UTC
(In reply to comment #4)

After quick review:
* Missing %{pear_metadir}
* Please group your build requires together

Comment 7 Remi Collet 2013-02-06 08:44:59 UTC
Created attachment 693768 [details]
phpci.log

Comment 8 Remi Collet 2013-02-06 08:45:40 UTC
Created attachment 693769 [details]
php-horde-Horde-Alarm-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 785444

Comment 9 Remi Collet 2013-02-06 08:49:30 UTC
[!]: Package installs properly.
     Note: Installation errors (see attachment)

	Wait for dependencies before import in repository
	(not a blocker for the review)

[!]: License field in the package spec file matches the actual license.
	Headers and COPYING explicit use LGPL v2.1 (without "any later" option)
	So, LGPLv2 (not LGPLv2+)

Just need to fix the License, else everything is ok.

Can you please replace my "private" email by my fp.o one ?

Comment 11 Remi Collet 2013-02-07 14:47:26 UTC
< License:        LGPLv2+
> License:        LGPLv2

[x]: License field in the package spec file matches the actual license.

No blocker

=== APPROVED ===

Comment 12 Nick Bebout 2013-02-07 21:36:58 UTC
New Package SCM Request
=======================
Package Name: php-horde-Horde-Alarm
Short Description: Horde Alarm Libraries 
Owners: nb remi
Branches: el6 f18
InitialCC:

Comment 13 Gwyn Ciesla 2013-02-08 13:37:48 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2013-02-15 23:40:29 UTC
php-horde-Horde-Alarm-2.0.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-horde-Horde-Alarm-2.0.3-3.fc18

Comment 15 Fedora Update System 2013-02-15 23:40:43 UTC
php-horde-Horde-Alarm-2.0.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Alarm-2.0.3-3.el6

Comment 16 Fedora Update System 2013-02-17 03:32:59 UTC
Package php-horde-Horde-Alarm-2.0.3-3.fc18, php-horde-Horde-Image-2.0.3-3.fc18, php-horde-Horde-Lock-2.0.1-3.fc18, php-horde-Horde-Text-Flowed-2.0.1-3.fc18, php-horde-Horde-Argv-2.0.4-4.fc18, php-horde-Horde-Serialize-2.0.1-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-horde-Horde-Alarm-2.0.3-3.fc18 php-horde-Horde-Image-2.0.3-3.fc18 php-horde-Horde-Lock-2.0.1-3.fc18 php-horde-Horde-Text-Flowed-2.0.1-3.fc18 php-horde-Horde-Argv-2.0.4-4.fc18 php-horde-Horde-Serialize-2.0.1-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2619/php-horde-Horde-Argv-2.0.4-4.fc18,php-horde-Horde-Serialize-2.0.1-3.fc18,php-horde-Horde-Text-Flowed-2.0.1-3.fc18,php-horde-Horde-Lock-2.0.1-3.fc18,php-horde-Horde-Image-2.0.3-3.fc18,php-horde-Horde-Alarm-2.0.3-3.fc18
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2013-02-28 06:59:53 UTC
php-horde-Horde-Alarm-2.0.3-3.fc18, php-horde-Horde-Image-2.0.3-3.fc18, php-horde-Horde-Lock-2.0.1-3.fc18, php-horde-Horde-Argv-2.0.4-4.fc18, php-horde-Horde-Serialize-2.0.1-3.fc18, php-horde-Horde-Text-Flowed-2.0.1-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2013-03-09 19:16:48 UTC
php-horde-Horde-Image-2.0.3-3.el6, php-horde-Horde-Alarm-2.0.3-3.el6, php-horde-Horde-Lock-2.0.1-3.el6, php-horde-Horde-Argv-2.0.4-4.el6, php-horde-Horde-Serialize-2.0.1-3.el6, php-horde-Horde-Text-Flowed-2.0.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.